Subject: water chestnuts

From: Paula Stillman <[email-masked]>
Date: Fri, 02 Aug 1996 10:31:57 +1000

This year I tried to grow water chestnuts, but I'm wondering if I have the
right plant.   All I got from this one were small (about the size of broad
bean seed) corms, nothing like the walnut-sized ones I was expecting.   I
read in the Seed Savers manual that there was a native variety, which
grows in the Northern Territory (Australia).   Could someone who has
had experience with water chestnuts please tell me whether it is worth
planting these corms again.   Perhaps the soil was not good enough to
produce larger fruit.   If it turns out that what I have got is really just an
ornamental variety I will move it to a different spot.
Thanks for an advice on this topic.
Paula